<?php

namespace HCM\Geral\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\DateUtil;
use Teknisa\Libs\Util\Environment;
use HCM\Util\HCMParameters;
use HCM\Util\Repositories;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DTO\Response\Error;

class TipoHierarquiaService {

    protected $entityManager;
    protected $environment;
    protected $hcmParameters;

    public function __construct(EntityManager $entityManager, Environment $environment, HCMParameters $hcmParameters) {
        $this->entityManager = $entityManager;
        $this->environment = $environment;
        $this->hcmParameters = $hcmParameters;
    }
    
    public function validaDelete($dataset) {
        try {
            $hierarquia = $this->entityManager->getRepository(Repositories::HIERARQUIAORG)->findBy(array("nrtipohierarqorg" => $dataset['NRTIPOHIERARQORG']));
            if(!empty($hierarquia))
                throw new \Exception("Não foi possivel excluir, registro filho encontrado");
        } catch (\Exception $e) {            
            throw $e;
        }
    }   
    
}