<?php

namespace HCM\FPA\Entity;

use HCM\Util\DateUtil;
use HCM\Util\Repositories;
use HCM\Util\TkEntity;
use HCM\Util\MsgCalculo;
use HCM\Util\TkDI;

class FpaFormcnabEntity extends TkEntity
{   
    
    const IDPROCVINCULO_NAO = 'N';

    const IDPROCVINCULO_SIM = 'S';

    const IDGERAMEIOMAG_NAO = 'N';

    const IDGERAMEIOMAG_SIM = 'S';

    const IDTESTE_NAO = 'N';

    const IDTESTE_SIM = 'S';
    
    public function __construct($entityManager, $hcmParameters){
        $this->hcmParameters = $hcmParameters;
        parent::__construct(null,$entityManager);
    }
    
    public function getIdprocvinculo() {
        if (parent::getIdprocvinculo() === self::IDPROCVINCULO_SIM) {
            return true;
        } else {
            return false;
        }
    }

    public function getIdgerameiomag() {
        if (parent::getIdgerameiomag() === self::IDGERAMEIOMAG_SIM) {
            return true;
        } else {
            return false;
        }
    }

    public function retornaDadosFormularioCNAB($nrOrg, $nrFormulario) {

        $resultado = $this->entityManager->getRepository(Repositories::FPA_FORMCNAB)->findOneBy(array('nrorg' => $nrOrg, 'nrformcnab' => $nrFormulario));
        
        if (is_object($resultado) === true) {
            return $resultado;
        }
    }
}