<?php

namespace HCM\Geral\Entity;

use HCM\Util\TkEntity;
use HCM\Util\Repositories;

class ContctblEntity extends TkEntity
{
    public function __construct($entityManager, $hcmParameters){
        
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
        parent::__construct(null,$entityManager);
    }
    
    private function _carregaLista($nrOrg){
        $itens = $this->entityManager->getRepository(Repositories::CONTACONTABIL)->findBy(array('nrorg' => $nrOrg));
        foreach($itens as $item){
            $this->addItem($item);
        }
    }

    public function getDescricaoContaContabil($nrOrg, $cdConta){
        $itens = $this->getItems();
        if (count($itens) === 0){
            $this->_carregaLista($nrOrg);
            $itens = $this->getItems();
        }
        foreach($itens as $item){
            if ($item->getCdcontctbl() === $cdConta){
                return $item->getNmcontctbl();
            }
        }
        return null;
    }
}

