<?php

namespace HCM\SST\Services;

use Doctrine\ORM\EntityManager;
use Folha\Entities\GpeReuniao;
use Folha\Entities\GpeEpi;
use Folha\Entities\GpeEpiparticipa;
use HCM\Util\HCMParameters;
use HCM\Util\Messages;
use HCM\SST\Repository\EpiRepository;
use HCM\Util\DateUtil;

class EpiService {
    
    protected $entityManager;
    protected $hcmParameters;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters, EpiRepository $epiRepository) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
        $this->epiRepository = $epiRepository;
    }
    
    public function validaDeleteEpi($nrorg,$nrepi) {
        $result = $this->epiRepository->gethistoricoepi($nrorg,$nrepi);
            if(!empty($result))
                return false;
        $result = $this->epiRepository->getitemperfilepi($nrorg,$nrepi);
            if(!empty($result))
                return false;
        $result = $this->epiRepository->getriscoepi($nrorg,$nrepi);
            if(!empty($result))
                return false;
        
        return true;
    }
    
    public function getFoto($row){
        return $this->epiRepository->getFoto($row);
    }
    
}