-- ============================================================
-- Table: FPA_LOGRETROCESSO
-- ============================================================
 CREATE TABLE FPA_LOGRETROCESSO
(
    NRORG NUMBER NOT NULL ENABLE,
    NRLOGRETROCESSO NUMBER NOT NULL ENABLE,
    DTINCLUSAO DATE NOT NULL ENABLE,
    CDOPERINCLUSAO VARCHAR2(12) NOT NULL,
    DSORDEM VARCHAR2(100),
    DSINICIO VARCHAR2(2000),
    DSFIM VARCHAR2(2000),
    DTPAGAMENTO DATE,
    IDULTPGTOMES VARCHAR2(1),
    IDMEMORIACALC VARCHAR2(1),
    IDTPFORMCALCULO VARCHAR2(20),
    IDDIFSAL VARCHAR2(1),
    IDDIFFERIAS VARCHAR2(1),
    DSTIPOVINCULO VARCHAR2(50),
    DSINICIO2 VARCHAR2(2000),
    DSFIM2 VARCHAR2(2000),
    DSINICIO3 VARCHAR2(2000),
    DSFIM3 VARCHAR2(2000),
    NRFERIAS NUMBER,
    DTINIGOZOFERIAS DATE,
    DTFIMGOZOFERIAS DATE,
    QTDIAGOZOFERIAS NUMBER,
    QTDIASABONOFERI NUMBER,
    NRVINCULOM NUMBER,
    DTAVISOFERIAS DATE,
    IDADIANT13SALAR VARCHAR2(1),
    DSVINCNAOCONTEMPL VARCHAR2(2000),
    DTRESCISAOINI DATE,
    DTRESCISAOFIM DATE,
    VRSALDOFGTSBANCO NUMBER,
    IDFAZDIFCOMP VARCHAR2(1),
    VRSALDISSIDIO FLOAT,
    DTINICIOVALE DATE,
    DTFINALVALE DATE,
    DTINICIOFILTROVALE DATE,
    DTFINALFILTROVALE DATE,
    NRTIPOLINHAVINC NUMBER,
    NRTPBENEFICIO NUMBER,
    TPPERIODOBENEF VARCHAR2(100),
    DSOBSERVACAO VARCHAR2(4000),
    CONSTRAINT PK_FPA_LOGRETROCESSO PRIMARY KEY (NRORG, NRLOGRETROCESSO)
);